Do it to avoid having duplicate and conflicting functionality with
busybox's S01logging.
Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
--- /dev/null
+#!/bin/sh
+#
+# Starts rsyslog.
+#
+
+start() {
+ echo -n "Starting rsyslog daemon: "
+ umask 077
+ start-stop-daemon -S -q -p /var/run/rsyslogd.pid --exec /usr/sbin/rsyslogd
+ echo "OK"
+}
+stop() {
+ echo -n "Stopping rsyslog daemon: "
+ start-stop-daemon -K -q -p /var/run/rsyslogd.pid
+ echo "OK"
+}
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?
+
+++ /dev/null
-#!/bin/sh
-#
-# Starts rsyslog.
-#
-
-start() {
- echo -n "Starting rsyslog daemon: "
- umask 077
- start-stop-daemon -S -q -p /var/run/rsyslogd.pid --exec /usr/sbin/rsyslogd
- echo "OK"
-}
-stop() {
- echo -n "Stopping rsyslog daemon: "
- start-stop-daemon -K -q -p /var/run/rsyslogd.pid
- echo "OK"
-}
-restart() {
- stop
- start
-}
-
-case "$1" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- restart|reload)
- restart
- ;;
- *)
- echo "Usage: $0 {start|stop|restart}"
- exit 1
-esac
-
-exit $?
-
endif
define RSYSLOG_INSTALL_INIT_SYSV
- $(INSTALL) -m 0755 -D package/rsyslog/S01rsyslog \
- $(TARGET_DIR)/etc/init.d/S01rsyslog
+ $(INSTALL) -m 0755 -D package/rsyslog/S01logging \
+ $(TARGET_DIR)/etc/init.d/S01logging
endef
define RSYSLOG_INSTALL_INIT_SYSTEMD